from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm
from jumbo.apps.accounts.models import UserProfile

class UserProfileAdminForm(AdminModelForm):
    class Meta:
        model = UserProfile
class UserProfileAdmin(admin.ModelAdmin):
    save_on_top = True
    form = UserProfileAdminForm
    fieldsets = (
        (_('logs admin'), {'fields': (('date_create', 'date_last_modify',)), 'classes': ('collapse',)}),
        (_('general admin'), {'fields': ('user', 'default_url',) })
    )
    list_display = ('user', 'default_url',)
    list_display_links = ('user',)
    list_per_page = 30
admin.site.register(UserProfile, UserProfileAdmin)