# -*- coding: utf-8 -*-
from django.db import models
from django.contrib.auth.models import User
from django.utils.translation import ugettext_lazy as _

from jumbo.db.models import DateModel, UserModel

class UserProfile(DateModel):
    # This is the only required field
    user = models.ForeignKey(User, unique=True)

    default_url = models.CharField(
        max_length = 200,
        verbose_name = "Default URL",
        help_text = _("Url to redirect when a user logging in"),
    )

    class Meta:
        verbose_name = _("User Profile")
        verbose_name_plural = _("User Profiles")
        permissions = (
            ("can_view_userprofile"   , "Can view user profile"),
        )

    def __unicode__(self):
        return "%s -> %s" % (self.user.username, self.default_url)