from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm, OrderedModelAdmin
from jumbo.apps.agenda.models import Appointment, DayPeriodicity, WeekPeriodicity, MonthPeriodicity, YearPeriodicity,Role, Membership
from jumbo.forms.sites import jumbo_site

class DayPeriodicityAdminForm(AdminModelForm):
    class Meta:
        model = DayPeriodicity
class DayPeriodicityInline(admin.TabularInline):
    model = DayPeriodicity
    form = DayPeriodicityAdminForm
    extra = 1

class WeekPeriodicityAdminForm(AdminModelForm):
    class Meta:
        model = WeekPeriodicity
class WeekPeriodicityInline(admin.TabularInline):
    model = WeekPeriodicity
    form = WeekPeriodicityAdminForm
    extra = 1

class MonthPeriodicityAdminForm(AdminModelForm):
    class Meta:
        model = MonthPeriodicity
class MonthPeriodicityInline(admin.TabularInline):
    model = MonthPeriodicity
    form = MonthPeriodicityAdminForm
    extra = 1

class YearPeriodicityAdminForm(AdminModelForm):
    class Meta:
        model = YearPeriodicity
class YearPeriodicityInline(admin.TabularInline):
    model = YearPeriodicity
    form = YearPeriodicityAdminForm
    extra = 1

class AppointmentAdminForm(AdminModelForm):
    class Meta:
        model = Appointment
class AppointmentAdmin(admin.ModelAdmin):
    save_on_top = True
    form = AppointmentAdminForm
    inlines = (DayPeriodicityInline,WeekPeriodicityInline, MonthPeriodicityInline, YearPeriodicityInline)
admin.site.register(Appointment, AppointmentAdmin)

#admin.site.register(DayPeriodicity)
#admin.site.register(WeekPeriodicity)
#admin.site.register(MonthPeriodicity)
#admin.site.register(YearPeriodicity)
admin.site.register(Role)
admin.site.register(Membership)
