# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.apps.agenda.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'DayPeriodicity'
        db.create_table('agenda_dayperiodicity', (
            ('appointment', models.ForeignKey(orm.Appointment, related_name="day_periodicities", verbose_name=_("Appointment"), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_end', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("End Date"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('repeat_days', models.IntegerField(verbose_name=_("Repeat Every Days"))),
            ('date_begin', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("Begin Date"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
        ))
        db.send_create_signal('agenda', ['DayPeriodicity'])
        
        # Adding model 'Appointment'
        db.create_table('agenda_appointment', (
            ('date_begin', models.DateTimeField(default=datetime.today, verbose_name=_("Begin Date Time"), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('periodicity', models.CharField(max_length=1, blank=True, null=True, verbose_name=_("Periodicity"), db_index=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_end', models.DateTimeField(default=datetime.today, verbose_name=_("End Date Time"), db_index=True)),
            ('assigned_by', models.ForeignKey(orm['auth.User'], related_name="appointments_assigned_by_me", null=True, verbose_name=_("Assigned by"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('title', models.CharField(max_length=100, verbose_name=_("Title"))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
        ))
        db.send_create_signal('agenda', ['Appointment'])
        
        # Adding model 'Membership'
        db.create_table('agenda_membership', (
            ('status', models.CharField(max_length=1, blank=True, null=True, verbose_name=_("Status"), db_index=True)),
            ('appointment', models.ForeignKey(orm.Appointment, db_index=True)),
            ('date_app', models.DateTimeField(verbose_name=_("Date Appointment"), db_index=True)),
            ('person', models.ForeignKey(orm['organization.Contact'], db_index=True)),
            ('role', models.ForeignKey(orm.Role, db_index=True)),
            ('id', models.AutoField(primary_key=True)),
            ('invite_reason', models.CharField(max_length=100, verbose_name=_("Ivite Reason"))),
        ))
        db.send_create_signal('agenda', ['Membership'])
        
        # Adding model 'MonthPeriodicity'
        db.create_table('agenda_monthperiodicity', (
            ('repeat_months', models.IntegerField(verbose_name=_("Repeat Every Months"))),
            ('appointment', models.ForeignKey(orm.Appointment, related_name="month_periodicities", verbose_name=_("Appointment"), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_end', models.DateField(db_index=True, null=True, verbose_name=_("End Date"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('type_day', models.CharField(db_index=True, max_length=1, verbose_name=_("Week Day"))),
            ('date_begin', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("Begin Date"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
        ))
        db.send_create_signal('agenda', ['MonthPeriodicity'])
        
        # Adding model 'WeekPeriodicity'
        db.create_table('agenda_weekperiodicity', (
            ('thu', models.BooleanField(verbose_name=_("Thursday"))),
            ('repeat_weeks', models.IntegerField(verbose_name=_("Repeat Every Weeks"))),
            ('appointment', models.ForeignKey(orm.Appointment, related_name="week_periodicities", verbose_name=_("Appointment"), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('sun', models.BooleanField(verbose_name=_("Sunday"))),
            ('date_end', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("End Date"), blank=True)),
            ('wed', models.BooleanField(verbose_name=_("Wednesday"))),
            ('tue', models.BooleanField(verbose_name=_("Tuesday"))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('mon', models.BooleanField(verbose_name=_("Monday"))),
            ('sat', models.BooleanField(verbose_name=_("Saturday"))),
            ('date_begin', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("Begin Date"), blank=True)),
            ('fri', models.BooleanField(verbose_name=_("Friday"))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
        ))
        db.send_create_signal('agenda', ['WeekPeriodicity'])
        
        # Adding model 'Role'
        db.create_table('agenda_role', (
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name=_('Name'), db_index=True)),
        ))
        db.send_create_signal('agenda', ['Role'])
        
        # Adding model 'YearPeriodicity'
        db.create_table('agenda_yearperiodicity', (
            ('appointment', models.ForeignKey(orm.Appointment, related_name="year_periodicities", verbose_name=_("Appointment"), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_end', models.DateField(db_index=True, null=True, verbose_name=_("End Date"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('repeat_years', models.IntegerField(verbose_name=_("Repeat Every Years"))),
            ('date_begin', models.DateField(db_index=True, default=date.today, null=True, verbose_name=_("Begin Date"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
        ))
        db.send_create_signal('agenda', ['YearPeriodicity'])
        
        # Adding ManyToManyField 'Appointment.classes'
        db.create_table('agenda_appointment_classes', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('appointment', models.ForeignKey(Appointment, null=False)),
            ('classroom', models.ForeignKey(ClassRoom, null=False))
        ))
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'DayPeriodicity'
        db.delete_table('agenda_dayperiodicity')
        
        # Deleting model 'Appointment'
        db.delete_table('agenda_appointment')
        
        # Deleting model 'Membership'
        db.delete_table('agenda_membership')
        
        # Deleting model 'MonthPeriodicity'
        db.delete_table('agenda_monthperiodicity')
        
        # Deleting model 'WeekPeriodicity'
        db.delete_table('agenda_weekperiodicity')
        
        # Deleting model 'Role'
        db.delete_table('agenda_role')
        
        # Deleting model 'YearPeriodicity'
        db.delete_table('agenda_yearperiodicity')
        
        # Dropping ManyToManyField 'Appointment.classes'
        db.delete_table('agenda_appointment_classes')
        
    
    
    models = {
        'agenda.dayperiodicity': {
            'appointment': ('models.ForeignKey', ['Appointment'], {'related_name': '"day_periodicities"', 'verbose_name': '_("Appointment")', 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("Begin Date")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("End Date")', 'blank': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'repeat_days': ('models.IntegerField', [], {'verbose_name': '_("Repeat Every Days")'})
        },
        'agenda.appointment': {
            'assigned_by': ('models.ForeignKey', ['User'], {'related_name': '"appointments_assigned_by_me"', 'null': 'True', 'verbose_name': '_("Assigned by")', 'blank': 'True'}),
            'classes': ('models.ManyToManyField', ['ClassRoom'], {'db_index': 'True', 'related_name': '"class_appointments"', 'null': 'True', 'verbose_name': '_("Class Appointments")', 'blank': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateTimeField', [], {'default': 'datetime.today', 'verbose_name': '_("Begin Date Time")', 'db_index': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateTimeField', [], {'default': 'datetime.today', 'verbose_name': '_("End Date Time")', 'db_index': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'periodicity': ('models.CharField', [], {'max_length': '1', 'blank': 'True', 'null': 'True', 'verbose_name': '_("Periodicity")', 'db_index': 'True'}),
            'persons': ('models.ManyToManyField', ['Contact'], {'related_name': '"personal_appointments"', 'through': "'Membership'", 'blank': 'True', 'null': 'True', 'verbose_name': '_("Personal Appointments")', 'db_index': 'True'}),
            'title': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Title")'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'agenda.membership': {
            'appointment': ('models.ForeignKey', ['Appointment'], {'db_index': 'True'}),
            'date_app': ('models.DateTimeField', [], {'verbose_name': '_("Date Appointment")', 'db_index': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'invite_reason': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Ivite Reason")'}),
            'person': ('models.ForeignKey', ['Contact'], {'db_index': 'True'}),
            'role': ('models.ForeignKey', ['Role'], {'db_index': 'True'}),
            'status': ('models.CharField', [], {'max_length': '1', 'blank': 'True', 'null': 'True', 'verbose_name': '_("Status")', 'db_index': 'True'})
        },
        'agenda.monthperiodicity': {
            'appointment': ('models.ForeignKey', ['Appointment'], {'related_name': '"month_periodicities"', 'verbose_name': '_("Appointment")', 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("Begin Date")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateField', [], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("End Date")', 'blank': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'repeat_months': ('models.IntegerField', [], {'verbose_name': '_("Repeat Every Months")'}),
            'type_day': ('models.CharField', [], {'db_index': 'True', 'max_length': '1', 'verbose_name': '_("Week Day")'})
        },
        'school.classroom': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'agenda.weekperiodicity': {
            'appointment': ('models.ForeignKey', ['Appointment'], {'related_name': '"week_periodicities"', 'verbose_name': '_("Appointment")', 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("Begin Date")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("End Date")', 'blank': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'fri': ('models.BooleanField', [], {'verbose_name': '_("Friday")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'mon': ('models.BooleanField', [], {'verbose_name': '_("Monday")'}),
            'repeat_weeks': ('models.IntegerField', [], {'verbose_name': '_("Repeat Every Weeks")'}),
            'sat': ('models.BooleanField', [], {'verbose_name': '_("Saturday")'}),
            'sun': ('models.BooleanField', [], {'verbose_name': '_("Sunday")'}),
            'thu': ('models.BooleanField', [], {'verbose_name': '_("Thursday")'}),
            'tue': ('models.BooleanField', [], {'verbose_name': '_("Tuesday")'}),
            'wed': ('models.BooleanField', [], {'verbose_name': '_("Wednesday")'})
        },
        'organization.contact': {
            'Meta': {'permissions': '(("can_view_contacts","Can view contacts"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'agenda.role': {
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': "_('Name')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"})
        },
        'agenda.yearperiodicity': {
            'appointment': ('models.ForeignKey', ['Appointment'], {'related_name': '"year_periodicities"', 'verbose_name': '_("Appointment")', 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateField', [], {'db_index': 'True', 'default': 'date.today', 'null': 'True', 'verbose_name': '_("Begin Date")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateField', [], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("End Date")', 'blank': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'repeat_years': ('models.IntegerField', [], {'verbose_name': '_("Repeat Every Years")'})
        }
    }
    
    complete_apps = ['agenda']
