from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm, OrderedModelAdmin
from jumbo.apps.commision.models import Commision

class CommisionAdminForm(AdminModelForm):
    class Meta:
        model = Commision
class CommisionAdmin(OrderedModelAdmin):
    form = CommisionAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'organization', 'invoice', 'operation_date', 'currency_date', 'description', 'amount', 'note')}),
    )
    search_fields = ('organization', 'invoice', 'operation_date', 'currency_date')
    list_display = ('creator', 'date_create','last_modifier', 'date_last_modify', 'organization', 'invoice', 'operation_date', 'currency_date', 'amount')
    list_display_links = ('operation_date', 'currency_date')
admin.site.register(Commision, CommisionAdmin)

