# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.db.models import StatusField
from jumbo.apps.commision.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Commision'
        db.create_table('commision_commision', (
            ('status', StatusField()),
            ('note', models.TextField(null=True, verbose_name=_("Note"), blank=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('operation_date', models.DateField(verbose_name=_("Operation Date"), db_index=True)),
            ('description', models.TextField(verbose_name=_("Description"))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('amount', models.DecimalField(verbose_name=_("Amount"), max_digits=9, decimal_places=2, db_index=True)),
            ('invoice', models.ForeignKey(orm['invoice.Invoice'], related_name="commisions", null=True, verbose_name=_("Invoice"), blank=True)),
            ('organization', models.ForeignKey(orm['organization.Organization'], related_name="commisions", verbose_name=_("Organization"), db_index=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('currency_date', models.DateField(verbose_name=_("Currency Date"), db_index=True)),
        ))
        db.send_create_signal('commision', ['Commision'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Commision'
        db.delete_table('commision_commision')
        
    
    
    models = {
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'commision.commision': {
            'amount': ('models.DecimalField', [], {'verbose_name': '_("Amount")', 'max_digits': '9', 'decimal_places': '2', 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'currency_date': ('models.DateField', [], {'verbose_name': '_("Currency Date")', 'db_index': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'verbose_name': '_("Description")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'invoice': ('models.ForeignKey', ['Invoice'], {'related_name': '"commisions"', 'null': 'True', 'verbose_name': '_("Invoice")', 'blank': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Note")', 'blank': 'True'}),
            'operation_date': ('models.DateField', [], {'verbose_name': '_("Operation Date")', 'db_index': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'related_name': '"commisions"', 'verbose_name': '_("Organization")', 'db_index': 'True'}),
            'status': ('StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'invoice.invoice': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        }
    }
    
    complete_apps = ['commision']
