from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm
from jumbo.apps.document.models import DocumentProject, Document, Category
from jumbo.forms.sites import jumbo_site

class DocumentProjectAdminForm(AdminModelForm):
    class Meta:
        model = DocumentProject
class DocumentProjectAdmin(admin.ModelAdmin):
    form = DocumentProjectAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'organization', 'name', 'description', ('date_start', 'date_end'), ('managers', 'staff'), )}),
    )
admin.site.register(DocumentProject, DocumentProjectAdmin)

class DocumentAdminForm(AdminModelForm):
    class Meta:
        model = Document

class DocumentAdmin(admin.ModelAdmin):
    form = DocumentAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', ('projects', 'organization', 'person',), ('assigned_by', 'assigned_to','notify_group',), ('date_doc', 'number',), 'reception_date', 'protocol_number', ('title', 'keywords', 'pages',), ('support', 'category', 'file',), 'is_public', 'note')}),
    )
admin.site.register(Document, DocumentAdmin)

class CategoryAdminForm(AdminModelForm):
    class Meta:
        model = Category
class CategoryAdmin(admin.ModelAdmin):
    form = CategoryAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'code', 'name', 'ordering', 'note')}),
    )
admin.site.register(Category, CategoryAdmin)
