from django.conf.urls.defaults import *
from django.views.generic.simple import redirect_to
from jumbo.forms.sites import jumbo_site
from jumbo.apps.document.models import Document, Category
from jumbo.views.generic.generic_views import generic_delete_object

urlpatterns = patterns('jumbo.apps.document',
    url(r'^$'                                       , 'views.document_list', name='document-document-list'),
    url(r'^document/$'                              , redirect_to, {'url': '/document/'}
                                                    , name='document-document-list-redirect'),
    url(r'^document/add/$'                          , 'views.document_add', name='document-document-add'),
    url(r'^document/(?P<object_id>\d+)/$'           , 'views.document_edit', name='document-document-edit'),
    url(r'^document/del/(?P<object_id>\d+)/?$'      , generic_delete_object, {'model': Document}
                                                    , name='document-document-delete'),
    url(r'^document/download/(?P<object_id>\d+)/$'  , 'views.document_download', name='document-document-download'),
    url(r'^ajax/document/lock/?$'                   , 'views.document_lock', name='document-document-lock'),
    url(r'^ajax/document/list/$'                    , 'views.document_get_search_data', name='document-get_search_data'),
)
