from django import template
from django.conf import settings
from django.utils.translation import get_language

register = template.Library()

def transdb(obj):
    lang = get_language()[0:2]

    try:
        text = obj.name

        # DA FIXARE CON RAF
        # Il menu viene gestito in maniera vecchia, quindi ha l'oggetto
        # translation che contiene tt le sue traduzioni.
        # Quando obj e' un oggetto Template obj.translation non esiste e
        # andra' in errore (in Template l'oggetto si chiama translations)
        #
        # CASO OGGETTI MENU
        if hasattr(obj, "translation"):
            for tr in obj.translation.all():
                if tr.language.code == lang:
                    text = tr.text
                    return text
        # CASO OGGETTI TEMPLATE
        elif hasattr(obj, "translations"):
            for tr in obj.translations.all():
                if tr.language.code == lang:
                    text = tr.text
                    return text

            if obj.default:
                return obj.default
    except Exception, e:
        text = ''
    return text

register.simple_tag(transdb)

