# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.apps.project.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Project'
        db.create_table('project_project', (
            ('status', models.IntegerField(default='1', db_index=True, verbose_name=_("Status"))),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('description', models.TextField(null=True, verbose_name=_("Description"), blank=True)),
            ('date_start', models.DateField(verbose_name=_("Start Date"), db_index=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_end', models.DateField(db_index=True, null=True, verbose_name=_("End Date"), blank=True)),
            ('organization', models.ForeignKey(orm['organization.Organization'], db_index=True, related_name="projects", null=True, verbose_name=_("Organization"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=200, verbose_name=_("Project"), db_index=True)),
        ))
        db.send_create_signal('project', ['Project'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Project'
        db.delete_table('project_project')
        
    
    
    models = {
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'project.project': {
            'Meta': {'ordering': "['name']", 'permissions': '(("can_view_projects","Can view projects"),("list_all_projects","Can list all projects"),)'},
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateField', [], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("End Date")', 'blank': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'date_start': ('models.DateField', [], {'verbose_name': '_("Start Date")', 'db_index': 'True'}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '200', 'verbose_name': '_("Project")', 'db_index': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'db_index': 'True', 'related_name': '"projects"', 'null': 'True', 'verbose_name': '_("Organization")', 'blank': 'True'}),
            'status': ('models.IntegerField', [], {'default': "'1'", 'db_index': 'True', 'verbose_name': '_("Status")'})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        }
    }
    
    complete_apps = ['project']
