from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

from jumbo.db.forms import AdminModelForm, OrderedModelAdmin
from jumbo.apps.school.models import Course, Section, Member, ClassRoom
from jumbo.forms.sites import jumbo_site

class CourseAdminForm(AdminModelForm):
    class Meta:
        model = Course
class CourseAdmin(admin.ModelAdmin):
    form = CourseAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'name', 'ordering')}),
    )
admin.site.register(Course, CourseAdmin)

class ClassRoomAdminForm(AdminModelForm):
    class Meta:
        model = ClassRoom
class ClassRoomAdmin(admin.ModelAdmin):
    form = ClassRoomAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'course', 'section', 'year', 'ordering')}),
    )
admin.site.register(ClassRoom, ClassRoomAdmin)

class SectionAdminForm(AdminModelForm):
    class Meta:
        model = Section
class SectionAdmin(admin.ModelAdmin):
    form = SectionAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'name', 'ordering')}),
    )
admin.site.register(Section, SectionAdmin)

class MemberAdminForm(AdminModelForm):
    class Meta:
        model = Member
class MemberAdmin(admin.ModelAdmin):
    form = MemberAdminForm
    list_per_page = 30
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (None, {'fields': ('status', 'classroom', 'member', 'role')}),
    )
    list_display = ('status', 'classroom', 'role', 'member')
admin.site.register(Member, MemberAdmin)
