# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from jumbo.db.models import StatusField
from jumbo.apps.school.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Member'
        db.create_table('school_member', (
            ('status', StatusField()),
            ('classroom', models.ForeignKey(orm.ClassRoom, related_name='members', verbose_name=_('Class Room'), db_index=True)),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('member', models.ForeignKey(orm['organization.Contact'], related_name='classrooms', verbose_name=_('Member'), db_index=True)),
            ('role', models.CharField(db_index=True, max_length=1, verbose_name=_('Role'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('school', ['Member'])
        
        # Adding model 'Course'
        db.create_table('school_course', (
            ('status', StatusField()),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name=_('Name'), db_index=True)),
        ))
        db.send_create_signal('school', ['Course'])
        
        # Adding model 'Section'
        db.create_table('school_section', (
            ('status', StatusField()),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name=_('Name'), db_index=True)),
        ))
        db.send_create_signal('school', ['Section'])
        
        # Adding model 'ClassRoom'
        db.create_table('school_classroom', (
            ('status', StatusField()),
            ('last_modifier', models.ForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', models.ForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('section', models.ForeignKey(orm.Section, db_index=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('course', models.ForeignKey(orm.Course, db_index=True)),
            ('year', models.IntegerField(verbose_name=_('Year'), db_index=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('school', ['ClassRoom'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Member'
        db.delete_table('school_member')
        
        # Deleting model 'Course'
        db.delete_table('school_course')
        
        # Deleting model 'Section'
        db.delete_table('school_section')
        
        # Deleting model 'ClassRoom'
        db.delete_table('school_classroom')
        
    
    
    models = {
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'school.member': {
            'classroom': ('models.ForeignKey', ['ClassRoom'], {'related_name': "'members'", 'verbose_name': "_('Class Room')", 'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'member': ('models.ForeignKey', ['Contact'], {'related_name': "'classrooms'", 'verbose_name': "_('Member')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'role': ('models.CharField', [], {'db_index': 'True', 'max_length': '1', 'verbose_name': "_('Role')"}),
            'status': ('StatusField', [], {})
        },
        'school.classroom': {
            'course': ('models.ForeignKey', ['Course'], {'db_index': 'True'}),
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'section': ('models.ForeignKey', ['Section'], {'db_index': 'True'}),
            'status': ('StatusField', [], {}),
            'year': ('models.IntegerField', [], {'verbose_name': "_('Year')", 'db_index': 'True'})
        },
        'organization.contact': {
            'Meta': {'permissions': '(("can_view_contacts","Can view contacts"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'school.course': {
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': "_('Name')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'school.section': {
            'creator': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': "_('Name')", 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['school']
