# -*- coding: utf-8 -*-
from django.db import models
from django.utils.translation import ugettext_lazy as _

class EmailService(models.Model):
    service = models.CharField(
        max_length=50,
        unique=True,
        db_index=True,
        verbose_name=_('email service'),
    )
    email = models.EmailField(
        db_index=True,
        verbose_name=_('email address'),
    )
    note = models.TextField(
        null=True,
        blank=True,
        verbose_name=_('Service notes'),
    )
    class Meta:
        verbose_name = _('email service')
        verbose_name_plural = _('email services')
    def __unicode__(self):
        return u'%s (%s)' % (self.service, self.email)

