#!/usr/bin/python
from optparse import OptionParser
import os, os.path, commands
import sys, shutil

def create_jumbo_project(options):
    print "Creating %s project ..." % options.name    

    if os.path.isdir(options.name):
        print "A directory with the name '%s' already exists. The project cannot be created." % options.name
        sys.exit()
        
    status, output = commands.getstatusoutput("django-admin startproject %s" % options.name)
    if status > 0:
        print "Error while creating project. Are you sure django-admin shortucts is in you /usr/local/bin directory?"
        sys.exit()


def create_settings_file(options):
    print "Finding jumbo path ..."   
    jumbo_path = __import__('jumbo', {},{},[]).__path__[0]
    
    #### CREATE SETTINGS FILE ####
    print "Creating settings file ..."
    project_name = options.name
    lista_apps = [ app for app in options.applications.split(" ") if app ]
    str_apps = [ '\'jumbo.apps.%s\',' % app for app in lista_apps ]
    settings_file = os.path.join(jumbo_path, 'conf', 'settings_sample.txt')
    f = open(settings_file, 'r')
    str_file = f.read()
    f.close()
    str_file = str_file % (project_name, "\n    ".join(str_apps))
    
    f = open('%s/settings.py' % project_name, 'w')
    f.write(str_file)
    f.close()
    #### END CREATE SETTINGS FILE ####    

    #### CREATE URLS FILE ####
    print "creating urls file ..."
    urls_file = os.path.join(jumbo_path, 'conf', 'urls_sample.txt')
    lista_urls = [ "(r'^%s/', include('jumbo.apps.%s.urls'))," % (app, app) for app in lista_apps ]
    
    f = open(urls_file, 'r')
    str_file = f.read()
    f.close()
    str_file = str_file % ("\n    ".join(lista_urls),)
    
    f = open('%s/urls.py' % project_name, 'w')
    f.write(str_file)
    f.close()
    #### END CREATE URLS FILE ####    

    #### COPY LOCAL_SETTINGS_SAMPLE ####
    local_settings_file = os.path.join(jumbo_path, 'conf', 'local_settings_sample.txt')
    shutil.copyfile(local_settings_file, '%s/local_settings_sample.py' % project_name)
    
    f_sample = open('%s/local_settings_sample.py' % project_name, 'a')
    
    apps_dir = os.path.join(jumbo_path, 'apps')
    for apps in os.listdir(apps_dir):
        if apps not in (lista_apps):
            continue
        
        apps_path = os.path.join(apps_dir, apps)
        if os.path.isdir(apps_path):
            apps_settings_path = os.path.join(apps_path, 'local_settings_sample.txt')
            if os.path.exists(apps_settings_path):
                f_settings = open(apps_settings_path, 'r')
                f_sample.write('\n')
                f_sample.write(f_settings.read())
                f_settings.close()
    
    f_sample.close()
    #### END COPY LOCAL_SETTINGS_SAMPLE ####
    
def parse_arguments():
    usage = "usage: %prog arg1 [options]"
    
    parser = OptionParser(usage=usage)
    parser.add_option("-n", "--name", dest="name",
                      help="Name of your project")
    
    parser.add_option("-a", "--applications", dest="applications",
                      help="List of Jumbo applications to add in your project")
    
    (options, args) = parser.parse_args()
    
    if not args:
        parser.error("arg1 is obbligatory")
    
    if not options.name or not options.applications:
        parser.error("options -n and -a are obbligatory")
    
    if args[0] == 'startproject':
        create_jumbo_project(options) 
        create_settings_file(options)   


if __name__ == '__main__':
    parse_arguments()