# Django settings for p project.
import os
from jumbo.utils.functions import set_default_date_input_european

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS
PROJECT_PATH = __import__('jumbo', {},{},[]).__path__[0]

DATABASE_ENGINE = 'sqlite3'    # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = 'jumbo.db'   # Or path to database file if using sqlite3.
DATABASE_USER = ''             # Not used with sqlite3.
DATABASE_PASSWORD = ''         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.
DEBUG = True
EMAIL_HOST = 'localhost'

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'Europe/Rome'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'it-it'

DATE_FORMAT="d/m/Y"
TIME_FORMAT="G:i"
DATETIME_FORMAT="d/m/Y G:i"

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = '/static/'
DOCUMENT_URL = '/files/'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media/'

# Jumbo static files
JUMBO_MEDIA_ROOT = ''.join([PROJECT_PATH, '/static/'])

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'qgj&d^*=fdptcf-1#kgq4_p^$pzn8^vj+)2-=beo9ch_7)l(9g'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'jumbo.apps.template.loader.load_template_source',
#    'django.template.loaders.filesystem.load_template_source',
#    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
    'django.middleware.transaction.TransactionMiddleware',
    'jumbo.middleware.thread_local.ThreadLocals',   
    #'jumbo.middleware.debug_middleware.DebugFooter',
)

TEMPLATE_DIRS = [
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    ''.join([PROJECT_PATH, '/templates/']),
]

DEFAULT_FILE_STORAGE = 'jumbo.core.files.storage.JumboStorage'

# Add jumbo locale path
LOCALE_PATHS = (
    ''.join([PROJECT_PATH, '/locale/']),
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'django.contrib.comments',
    'south',
    'jumbo',
    'jumbo.apps.accounts',
    'jumbo.apps.l10n',
    'jumbo.apps.i18n',
    'jumbo.apps.menu',
    'jumbo.apps.template',
    'jumbo.apps.fckeditor_connector',
)

# Jumbo relies on these context processors
TEMPLATE_CONTEXT_PROCESSORS = (
    'django.core.context_processors.auth',
    'django.core.context_processors.debug',
    'django.core.context_processors.i18n',
    'django.core.context_processors.media',
    'django.core.context_processors.request',
    'jumbo.core.context_processors.media',
    #'jumbo.core.context_processors.menu',
)

# default shop type: simple or full
DEFAULT_SHOP_TYPE = 'simple'

# if True find FIRST the settings in the database table application.settings
# if False bypass the db table settings and search the property FIRST in local_settings
USE_DB_SETTINGS = True

# Custom UserProfile
AUTH_PROFILE_MODULE = 'accounts.userprofile'

# Add italian default date input format
set_default_date_input_european()

