from django.core.management.base import NoArgsCommand
from django.core.management import call_command

from django.conf import settings

APPLICATIONS = settings.INSTALLED_APPS

class Command(NoArgsCommand):
    help = "(Re)create and initialize database with common data"

    def handle_noargs(self, **options):
        answer = raw_input("Sei sicuro di voler cancellare il database %s sull'host %s (si/no) : " % (settings.DATABASE_NAME, settings.DATABASE_HOST or 'localhost',))

        if answer != 'si':
            return

        call_command('resetdb')
        call_command('syncdb', interactive=False)
        call_command('migrate')
        call_command('load_admin_data')
        call_command('load_i18n_data')
        call_command('load_l10n_data')
        call_command('create_menu')

        # load default fixtures for non default applications
        # pay attention to the right sequence
        if 'organization' in APPLICATIONS:
            call_command('load_contactrole_data')
            call_command('load_organizationform_data')
            call_command('load_organizationtype_data')
        if 'product' in APPLICATIONS:
            call_command('load_vat_data')
        if 'address' in APPLICATIONS:
            call_command('load_addressscope_data')
        if 'jumbo.apps.service' in APPLICATIONS:
            call_command('load_service_data')
        if 'shop' in APPLICATIONS:
            call_command('load_shop_data')
        if 'store' in APPLICATIONS:
            call_command('load_store_data')
        if 'newsletter' in APPLICATIONS:
            call_command('load_newsletter_data')
        #if 'jumbo.apps.' in APPLICATIONS:
            #call_command('load__data')

