var myForm; // Form di appoggio per la stampa degli appuntamenti
var NUM_PER_PAGE = 10000; // Numero di righe visualizzate in ogni pagina della griglia
var grid;

Ext.onReady(function(){
    var nav_filter = new Ext.Panel({
                title: 'Parametri ricerca',
                width: '100%',
                collapsible: true,
                collapsed: true,
                contentEl: 'content_navigation_filter'
            });

    nav_filter.render('navigation_filter');

    /***********************
     * RENDER FUNCTIONS
     ***********************/

    function renderTitle(value, p, record){
        return String.format("<a href='/document/document/"+record.id+"/'><p class='bold'>"+record.data.title+"</p></a>");
    }

    function renderFile(value, p, record){
        return String.format("<a href='"+record.data.file+"'><img src='/static/document/img/document.png' title=\"Download File\" /></a>");
    }

    /***********************
     * END RENDER FUNCTIONS
     ***********************/

    var myProxy = new Ext.data.HttpProxy({
        url: '/document/ajax/document/list/',
        method: 'GET'
    });

    var myReader = new Ext.data.JsonReader({
        root: 'data',
        totalProperty: 'total',
        id: 'id',
        fields: [
            {name: 'organization'},
            {name: 'person'},
            {name: 'assigned_by'},
            {name: 'assigned_to'},
            {name: 'status'},
            {name: 'date_doc'},
            {name: 'number'},
            {name: 'working'},
            {name: 'reception_date'},
            {name: 'protocol_number'},
            {name: 'title'},
            {name: 'keywords'},
            {name: 'pages'},
            {name: 'support'},
            {name: 'category'},
            {name: 'file'},
            {name: 'note'}
        ]
    });

    var cm = new Ext.grid.ColumnModel([
/*        {header: "Date Start", width:18, renderer: Ext.util.Format.dateRenderer('d/m/Y'), dataIndex: 'date_start'},
*/
        {header: 'Status', width: 18, dataIndex: 'status'},
        {header: 'Assigned BY', width: 25, dataIndex: 'assigned_by'},
        {header: 'Assigned TO', width: 25, dataIndex: 'assigned_to'},
        {header: 'Organization', width: 35, dataIndex: 'organization'},
        {header: 'Person', width: 25, dataIndex: 'person'},
        {header: 'Date DOC', width: 8, renderer: Ext.util.Format.dateRenderer('d/m/Y'), dataIndex: 'date_doc'},
        {header: 'Protocol N', width: 4, align: 'right', dataIndex: 'protocol_number'},
        {header: 'Document N', width: 10, dataIndex: 'number'},
        {header: 'title', width: 40, renderer: renderTitle, dataIndex: 'title'},
        {header: 'Pages N', width: 2, align: 'right', dataIndex: 'pages'},
        {header: 'Support', width: 10, dataIndex: 'support'},
        {header: 'Category', width: 10, dataIndex: 'category'},
        {header: 'File', width: 5, renderer: renderFile, alig: 'center', dataIndex: 'file'}

    ]);

    // Rendo le colonne sortabili di defautl
    cm.defaultSortable = false;

    // create the Data Store
    ds = new Ext.data.Store({
        proxy: myProxy,
        reader: myReader,
        remoteSort: true
    });

    ds.setDefaultSort('date_doc', 'DESC');

    bbar = new Ext.PagingToolbar({
        pageSize: NUM_PER_PAGE,
        store: ds,
        displayInfo: true,
        displayMsg: 'Show projects {0} - {1} di {2}',
        emptyMsg: "No project to show"
    });

    grid = new Ext.grid.GridPanel({
        el:'grid_document',
        title:'List Documents',
        width:'100%',
        loadMask: true,
        viewConfig: {forceFit: true},
        autoHeight : true,
        enableColumnHide : false, // Tolgo dal context menu degli header il valore "Columns"
        store: ds,
        cm: cm,
        bbar: bbar
    });

    grid.render();

    // trigger the data store load
    ds.load({params:{start:0, limit:NUM_PER_PAGE}});

});
