var progressText;
var f_suc;
var f_fail;
var url;
var success_msg;
var error_msg;
var post_confirm;
var params;

ExtConfirm = function(config){
    progressText = config.progressText || 'avanzamento..';
    f_suc = config.f_success || f_successConfirm;
    f_fail = config.f_failure || f_failureConfirm;
    url = config.url;
    success_msg = config.success_msg || "Operazione avvenuta con successo.";
    error_msg = config.error_msg || "Attenzione, c'e' stato un errore nel corso dell'operazione. Contattare l'amministratore."
    post_confirm = config.post_confirm || null;
	params = config.params || {};
    
    this.show = function() {           
    	// Show a dialog using config options:
    	Ext.Msg.show({
    	   title: config.titleConfirm || 'Attenzione?',
    	   msg: config.msgConfirm || 'Sei sicuro?',
    	   buttons: Ext.Msg.YESNOCANCEL,
    	   fn: config.fn || processResult,
    	   icon: Ext.MessageBox.QUESTION
    	});	
    }
}

function processResult(answer){
	if (answer=='yes') {
		Ext.MessageBox.show({
			msg: 'Attendere prego...',
			progressText: progressText,
			width: 300,
			wait: true,
			waitConfig: {
				interval: 200
			}
		});
		
		Ext.Ajax.timeout = '200000';
        
		// Call to reload squid
		Ext.Ajax.request({
			url: url,
			params: params,
			success: f_suc,
			failure: f_fail
		});		
	}	
}


function f_successConfirm(result){
	if (result.responseText == 'OK') {
		var title = 'OK!';
		var msg = success_msg;
		var icon = Ext.MessageBox.INFO;
	}
	else {
		var title = 'ERRORE!';
		var msg = result.responseText;
		var icon = Ext.MessageBox.ERROR;	
	}

	Ext.Msg.show({
		title: title,
		width: 400,
		msg: msg,
		buttons: Ext.Msg.OK,
		icon: icon
	});
    
    if (post_confirm)
        post_confirm();
}

function f_failureConfirm(result){
	Ext.Msg.show({
	   title:'ERRORE!',
	   width: 400,
	   msg: error_msg,
	   buttons: Ext.Msg.OK,
	   icon: Ext.MessageBox.ERROR
	});
}