from django import http
from django.template import Context, RequestContext, loader
from django.conf import settings

def server_error(request, template_name='jumbo/500.html'):
    """
    500 error handler.

    Templates: `500.html`
    Context: None
    """

    t = loader.get_template(template_name) # You need to create a 500.html template.
    return http.HttpResponseServerError(t.render(RequestContext(request, {
        'request_path': request.path,
        'MEDIA_URL': settings.MEDIA_URL,
        'ADMIN_MEDIA_PREFIX': settings.ADMIN_MEDIA_PREFIX,
    })))
