from django.template import loader
from django.views.generic import list_detail

def object_list(request, queryset,
        paginate_by=None, page=None,
        allow_empty=True, template_name=None,
        template_loader=loader, extra_context=None,
        context_processors=None, template_object_name='object',
        mimetype=None):

    if callable(queryset):
        queryset = queryset()

    return list_detail.object_list(
        request,
        queryset=queryset,
        paginate_by=paginate_by,
        page=page,
        allow_empty=allow_empty,
        template_name=template_name,
        template_loader=template_loader,
        extra_context=extra_context,
        context_processors=context_processors,
        template_object_name=template_object_name,
        mimetype=mimetype,
    )

def object_detail(request, queryset,
        object_id=None, slug=None, slug_field='slug',
        template_name=None, template_name_field=None,
        template_loader=loader, extra_context=None,
        context_processors=None, template_object_name='object',
        mimetype=None):

    if callable(queryset):
        queryset = queryset()

    return list_detail.object_detail(
        request,
        queryset=queryset,
        object_id=object_id,
        slug=slug,
        slug_field=slug_field,
        template_name=template_name,
        template_name_field=template_name_field,
        template_loader=template_loader,
        extra_context=extra_context,
        context_processors=context_processors,
        template_object_name=template_object_name,
        mimetype=mimetype,
    )

