/* http://keith-wood.name/keypad.html
   Keypad field entry extension for jQuery v1.1.0.
   Written by Keith Wood (kbwood{at}iinet.com.au) August 2008.
   Dual licensed under the GPL (http://dev.jquery.com/browser/trunk/jquery/GPL-LICENSE.txt) and 
   MIT (http://dev.jquery.com/browser/trunk/jquery/MIT-LICENSE.txt) licenses. 
   Please attribute the author if you use it. */
(function($){var s='keypad';function Keypad(){this._curInst=null;this._disabledFields=[];this._keypadShowing=false;this.regional=[];this.regional['']={buttonText:'...',buttonStatus:'Open the keypad',closeText:'Close',closeStatus:'Close the keypad',clearText:'Clear',clearStatus:'Erase all the text',backText:'Back',backStatus:'Erase the previous character',shiftText:'Shift',shiftStatus:'Toggle upper/lower case characters',alphabeticLayout:this.qwertyAlphabetic,fullLayout:this.qwertyLayout,isAlphabetic:this.isAlphabetic,isNumeric:this.isNumeric,isRTL:false};this._defaults={showOn:'focus',buttonImage:'',buttonImageOnly:false,showAnim:'show',showOptions:{},duration:'normal',appendText:'',keypadClass:'',prompt:'',layout:['123'+this.CLOSE,'456'+this.CLEAR,'789'+this.BACK,this.SPACE+'0'],keypadOnly:true,randomiseAlphabetic:false,randomiseNumeric:false,randomiseOther:false,randomiseAll:false,onKeypress:null,onClose:null};$.extend(this._defaults,this.regional['']);this.mainDiv=$('<div id="'+this._mainDivId+'" style="display: none;"></div>')}var t='\x00';var u='\x01';var v='\x02';var w='\x03';var x='\x04';var y='\x05';$.extend(Keypad.prototype,{CLOSE:t,CLEAR:u,BACK:v,SHIFT:w,SPACE:x,HALF_SPACE:y,qwertyAlphabetic:['qwertyuiop','asdfghjkl','zxcvbnm'],qwertyLayout:['!@#$%^&*()_=','`~[]{}<>\\|/?'+y+'789','qwertyuiop\'"'+y+'456',y+'asdfghjkl;:'+x+'123',x+'zxcvbnm ,.'+x+y+'-0+',x+x+w+x+v+x+u+x+t],markerClassName:'hasKeypad',_mainDivId:'keypad-div',_inlineClass:'keypad-inline',_appendClass:'keypad-append',_triggerClass:'keypad-trigger',_disableClass:'keypad-disabled',_inlineEntryClass:'keypad-keyentry',_coverClass:'keypad-cover',setDefaults:function(a){extendRemove(this._defaults,a||{});return this},_attachKeypad:function(a,b){var c=$(a);var d=(a.nodeName.toLowerCase()!='input'&&a.nodeName.toLowerCase()!='textarea');var e=(!d?null:$('<input type="text" class="'+this._inlineEntryClass+'" disabled="disabled"/>'));var f={_input:(d?e:c),_inline:d,_mainDiv:(d?$('<div class="'+this._inlineClass+'"></div>'):$.keypad.mainDiv),ucase:false};f.settings=$.extend({},b||{});this._connectKeypad(a,f);if(d){c.append(e).append(f._mainDiv).bind('click.keypad',function(){e.focus()});this._updateKeypad(f)}},_connectKeypad:function(d,e){var f=$(d);if(f.hasClass(this.markerClassName)){return}var g=this._get(e,'appendText');var h=this._get(e,'isRTL');if(g){f[h?'before':'after']('<span class="'+this._appendClass+'">'+g+'</span>')}if(!e._inline){var i=this._get(e,'showOn');if(i=='focus'||i=='both'){f.focus(this._showKeypad).keydown(this._doKeyDown)}if(i=='button'||i=='both'){var j=this._get(e,'buttonText');var k=this._get(e,'buttonStatus');var l=this._get(e,'buttonImage');var m=$(this._get(e,'buttonImageOnly')?$('<img src="'+l+'" alt="'+k+'" title="'+k+'"/>'):$('<button type="button" title="'+k+'"></button>').html(l==''?j:$('<img src="'+l+'"/>')));f[h?'before':'after'](m);m.addClass(this._triggerClass).click(function(){if($.keypad._keypadShowing&&$.keypad._lastField==d){$.keypad._hideKeypad()}else{$.keypad._showKeypad(d)}return false})}}e.saveReadonly=f.attr('readonly');f.addClass(this.markerClassName).attr('readonly',(this._get(e,'keypadOnly')?'readonly':'')).bind('setData.keypad',function(a,b,c){e.settings[b]=c}).bind('getData.keypad',function(a,b){return this._get(e,b)});$.data(d,s,e)},_destroyKeypad:function(a){var b=$(a);if(!b.hasClass(this.markerClassName)){return}var c=$.data(a,s);if(this._curInst==c){this._hideKeypad()}b.siblings('.'+this._appendClass).remove().end().siblings('.'+this._triggerClass).remove().end().prev('.'+this._inlineEntryClass).remove();b.empty().unbind('focus',this._showKeypad).removeClass(this.markerClassName).attr('readonly',c.saveReadonly);$.removeData(c._input[0],s);$.removeData(a,s)},_enableKeypad:function(b){var c=$(b);if(!c.hasClass(this.markerClassName)){return}var d=b.nodeName.toLowerCase();if(d=='input'||d=='textarea'){b.disabled=false;c.siblings('button.'+this._triggerClass).each(function(){this.disabled=false}).end().siblings('img.'+this._triggerClass).css({opacity:'1.0',cursor:''})}else if(d=='div'||d=='span'){c.children('.'+this._disableClass).remove();var e=$.data(b,s);e._mainDiv.find('button').attr('disabled','')}this._disabledFields=$.map(this._disabledFields,function(a){return(a==b?null:a)})},_disableKeypad:function(b){var c=$(b);if(!c.hasClass(this.markerClassName)){return}var d=b.nodeName.toLowerCase();if(d=='input'||d=='textarea'){b.disabled=true;c.siblings('button.'+this._triggerClass).each(function(){this.disabled=true}).end().siblings('img.'+this._triggerClass).css({opacity:'0.5',cursor:'default'})}else if(d=='div'||d=='span'){var e=c.children('.'+this._inlineClass);var f=e.offset();var g={left:0,top:0};e.parents().each(function(){if($(this).css('position')=='relative'){g=$(this).offset();return false}});var h=this._getExtras(e);c.prepend('<div class="'+this._disableClass+'" style="width: '+(e.width()+h[0])+'px; height: '+(e.height()+h[1])+'px; left: '+(f.left-g.left)+'px; top: '+(f.top-g.top)+'px;"></div>');var i=$.data(b,s);i._mainDiv.find('button').attr('disabled','disabled')}this._disabledFields=$.map(this._disabledFields,function(a){return(a==b?null:a)});this._disabledFields[this._disabledFields.length]=b},_isDisabledKeypad:function(a){return(a&&$.inArray(a,this._disabledFields)>-1)},_changeKeypad:function(a,b,c){var d=b||{};if(typeof b=='string'){d={};d[b]=c}var e=$.data(a,s);if(e){if(this._curInst==e){this._hideKeypad()}extendRemove(e.settings,d);this._updateKeypad(e)}},_showKeypad:function(b){b=b.target||b;if($.keypad._isDisabledKeypad(b)||$.keypad._lastField==b){return}var c=$.data(b,s);$.keypad._hideKeypad(null,'');$.keypad._lastField=b;$.keypad._pos=$.keypad._findPos(b);$.keypad._pos[1]+=b.offsetHeight;var d=false;$(b).parents().each(function(){d|=$(this).css('position')=='fixed';return!d});if(d&&$.browser.opera){$.keypad._pos[0]-=document.documentElement.scrollLeft;$.keypad._pos[1]-=document.documentElement.scrollTop}var e={left:$.keypad._pos[0],top:$.keypad._pos[1]};$.keypad._pos=null;c._mainDiv.css({position:'absolute',display:'block',top:'-1000px',width:($.browser.opera?'1000px':'auto')});$.keypad._updateKeypad(c);e=$.keypad._checkOffset(c,e,d);c._mainDiv.css({position:(d?'fixed':'absolute'),display:'none',left:e.left+'px',top:e.top+'px'});var f=$.keypad._get(c,'showAnim')||'show';var g=$.keypad._get(c,'duration');var h=function(){$.keypad._keypadShowing=true;if(!c._inline&&$.browser.msie&&parseInt($.browser.version,10)<7){var a=$.keypad._getExtras(c._mainDiv);$('iframe.'+$.keypad._coverClass).css({width:c._mainDiv.width()+a[0],height:c._mainDiv.height()+a[1]})}};if($.effects&&$.effects[f]){c._mainDiv.show(f,$.keypad._get(c,'showOptions'),g,h)}else{c._mainDiv[f](g,h)}if(g==''){h()}if(c._input[0].type!='hidden'){c._input[0].focus()}$.keypad._curInst=c},_updateKeypad:function(a){var b=this._getExtras(a._mainDiv);var c={width:a._mainDiv.width()+b[0],height:a._mainDiv.height()+b[1]};a._mainDiv.empty().append(this._generateHTML(a)).find('iframe.'+$.keypad._coverClass).css({width:c.width,height:c.height});a._mainDiv.removeClass().addClass(this._get(a,'keypadClass')+(this._get(a,'isRTL')?' keypad-rtl':'')+(a._inline?this._inlineClass:''))},_getExtras:function(b){var c=function(a){return{thin:1,medium:3,thick:5}[a]||a};return[parseInt(c(b.css('border-left-width')),10)+parseInt(c(b.css('border-right-width')),10)+parseInt(b.css('padding-left'),10)+parseInt(b.css('padding-right'),10),parseInt(c(b.css('border-top-width')),10)+parseInt(c(b.css('border-bottom-width')),10)+parseInt(b.css('padding-top'),10)+parseInt(b.css('padding-bottom'),10)]},_checkOffset:function(a,b,c){var d=a._input?this._findPos(a._input[0]):null;var e=window.innerWidth||document.documentElement.clientWidth;var f=window.innerHeight||document.documentElement.clientHeight;var g=document.documentElement.scrollLeft||document.body.scrollLeft;var h=document.documentElement.scrollTop||document.body.scrollTop;if(($.browser.msie&&parseInt($.browser.version,10)<7)||$.browser.opera){var i=0;$('.keypad-row',a._mainDiv).find('button:last').each(function(){i=Math.max(i,this.offsetLeft+this.offsetWidth+parseInt($(this).css('margin-right'),10))});a._mainDiv.css('width',i)}if(this._get(a,'isRTL')||(b.left+a._mainDiv.width()-g)>e){b.left=Math.max((c?0:g),d[0]+(a._input?a._input.width():0)-(c?g:0)-a._mainDiv.width()-(c&&$.browser.opera?document.documentElement.scrollLeft:0))}else{b.left-=(c?g:0)}if((b.top+a._mainDiv.height()-h)>f){b.top=Math.max((c?0:h),d[1]-(c?h:0)-a._mainDiv.height()-(c&&$.browser.opera?document.documentElement.scrollTop:0))}else{b.top-=(c?h:0)}return b},_findPos:function(a){while(a&&(a.type=='hidden'||a.nodeType!=1)){a=a.nextSibling}var b=$(a).offset();return[b.left,b.top]},_hideKeypad:function(a,b){var c=this._curInst;if(!c||(a&&c!=$.data(a,s))){return}if(this._keypadShowing){b=(b!=null?b:this._get(c,'duration'));var d=this._get(c,'showAnim');if(b!=''&&$.effects&&$.effects[d]){c._mainDiv.hide(d,$.keypad._get(c,'showOptions'),b)}else{c._mainDiv[(b==''?'hide':(d=='slideDown'?'slideUp':(d=='fadeIn'?'fadeOut':'hide')))](b)}}var e=this._get(c,'onClose');if(e){e.apply((c._input?c._input[0]:null),[c._input.val(),c])}if(this._keypadShowing){this._keypadShowing=false;this._lastField=null}if(c._inline){c._input.val('')}this._curInst=null},_doKeyDown:function(e){if(e.keyCode==9){$.keypad.mainDiv.stop(true,true);$.keypad._hideKeypad(null,'')}},_checkExternalClick:function(a){if(!$.keypad._curInst){return}var b=$(a.target);if(!b.parents().andSelf().is('#'+$.keypad._mainDivId)&&!b.hasClass($.keypad.markerClassName)&&!b.parents().andSelf().hasClass($.keypad._triggerClass)&&$.keypad._keypadShowing){$.keypad._hideKeypad(null,'')}},_shiftKeypad:function(a){a.ucase=!a.ucase;this._updateKeypad(a);a._input.focus()},_clearValue:function(a){this._setValue(a,'',0)},_backValue:function(a){var b=a._input[0];var c=a._input.val();var d=[c.length,c.length];if(b.setSelectionRange){d=(a._input.attr('readonly')?d:[b.selectionStart,b.selectionEnd])}else if(b.createTextRange){d=(a._input.attr('readonly')||a._input.attr('disabled')?d:this._getIERange(b))}this._setValue(a,(c.length==0?'':c.substr(0,d[0]-1)+c.substr(d[1])),d[0]-1)},_selectValue:function(a,b){var c=a._input[0];var d=a._input.val();var e=[d.length,d.length];if(c.setSelectionRange){e=(a._input.attr('readonly')?e:[c.selectionStart,c.selectionEnd])}else if(c.createTextRange){e=(a._input.attr('readonly')||a._input.attr('disabled')?e:this._getIERange(c))}var f=e[0]+b.length;b=d.substr(0,e[0])+b+d.substr(e[1]);this._setValue(a,b,f)},_getIERange:function(e){e.focus();var f=document.selection.createRange().duplicate();var g=this._getIETextRange(e);g.setEndPoint('EndToStart',f);var h=function(a){var b=a.text;var c=b;var d=false;while(true){if(a.compareEndPoints('StartToEnd',a)==0){break}else{a.moveEnd('character',-1);if(a.text==b){c+='\r\n'}else{break}}}return c};var i=h(g);var j=h(f);return[i.length,i.length+j.length]},_getIETextRange:function(a){var b=(a.nodeName.toLowerCase()=='input');var c=(b?a.createTextRange():document.body.createTextRange());if(!b){c.moveToElementText(a)}return c},_setValue:function(a,b,c){var d=a._input.attr('maxlength');if(d>-1){b=b.substr(0,d)}a._input.val(b);var e=this._get(a,'onKeypress');if(e){e.apply((a._input?a._input[0]:null),[b,a])}else{a._input.trigger('change')}if(a._input.css('display')!='hidden'){a._input.focus()}var f=a._input[0];if(f.setSelectionRange){f.setSelectionRange(c,c)}else if(f.createTextRange){var g=f.createTextRange();g.move('character',c);g.select()}},_get:function(a,b){return a.settings[b]!==undefined?a.settings[b]:this._defaults[b]},_generateHTML:function(a){var b=this._get(a,'isRTL');var c=this._get(a,'prompt');var d=(!c?'':'<div class="keypad-prompt">'+c+'</div>');var e=this._randomiseLayout(a);for(var i=0;i<e.length;i++){d+='<div class="keypad-row">';for(var j=0;j<e[i].length;j++){var f=e[i].charAt(j);if(a.ucase){f=f.toUpperCase()}d+=(f==this.SPACE?'<div class="keypad-space"></div>':(f==this.HALF_SPACE?'<div class="keypad-half-space"></div>':'<button type="button" class="keypad-key'+(f==this.CLEAR?' keypad-clear':(f==this.BACK?' keypad-back':(f==this.CLOSE?' keypad-close':(f==this.SHIFT?' keypad-shift':''))))+'" '+'title="'+(f==this.CLEAR?this._get(a,'clearStatus'):(f==this.BACK?this._get(a,'backStatus'):(f==this.CLOSE?this._get(a,'closeStatus'):(f==this.SHIFT?this._get(a,'shiftStatus'):''))))+'">'+(f==this.CLEAR?this._get(a,'clearText'):(f==this.BACK?this._get(a,'backText'):(f==this.CLOSE?this._get(a,'closeText'):(f==this.SHIFT?this._get(a,'shiftText'):(f==' '?'&nbsp;':f)))))+'</button>'))}d+='</div>'}d+='<div style="clear: both;"></div>'+(!a._inline&&$.browser.msie&&parseInt($.browser.version,10)<7?'<iframe src="javascript:false;" class="'+$.keypad._coverClass+'"></iframe>':'');d=$(d);var g=a;d.find('button').mousedown(function(){$(this).addClass('keypad-key-down')}).mouseup(function(){$(this).removeClass('keypad-key-down')}).mouseout(function(){$(this).removeClass('keypad-key-down')}).filter('.keypad-clear').click(function(){$.keypad._clearValue(g)}).end().filter('.keypad-back').click(function(){$.keypad._backValue(g)}).end().filter('.keypad-close').click(function(){$.keypad._curInst=(g._inline?g:$.keypad._curInst);$.keypad._hideKeypad()}).end().filter('.keypad-shift').click(function(){$.keypad._shiftKeypad(g)}).end().not('.keypad-clear,.keypad-back,.keypad-close,.keypad-shift').click(function(){$.keypad._selectValue(g,$(this).text())});return d},_randomiseLayout:function(a){var b=this._get(a,'randomiseNumeric');var c=this._get(a,'randomiseAlphabetic');var d=this._get(a,'randomiseOther');var e=this._get(a,'randomiseAll');var f=this._get(a,'layout');if(!b&&!c&&!d&&!e){return f}var g=this._get(a,'isNumeric');var h=this._get(a,'isAlphabetic');var k=[];var l=[];var m=[];var n=[];for(var i=0;i<f.length;i++){n[i]='';for(var j=0;j<f[i].length;j++){var o=f[i].charAt(j);if(e){if(!this._isControl(o)){m.push(o)}}else{if(g(o)){if(b){k.push(o)}}else if(h(o)){if(c){l.push(o)}}else if(!this._isControl(o)){if(d){m.push(o)}}}}}this._shuffle(k);this._shuffle(l);this._shuffle(m);var p=0;var q=0;var r=0;for(var i=0;i<f.length;i++){for(var j=0;j<f[i].length;j++){var o=f[i].charAt(j);if(this._isControl(o)){n[i]+=o}else if(e){n[i]+=m[r++]}else if(g(o)){n[i]+=(b?k[p++]:o)}else if(h(o)){n[i]+=(c?l[q++]:o)}else{n[i]+=(d?m[r++]:o)}}}return n},_isControl:function(a){return a<' '},isAlphabetic:function(a){return(a>='A'&&a<='Z')||(a>='a'&&a<='z')},isNumeric:function(a){return(a>='0'&&a<='9')},_shuffle:function(a){for(var i=a.length-1;i>0;i--){var j=Math.floor(Math.random()*a.length);var b=a[i];a[i]=a[j];a[j]=b}}});function extendRemove(a,b){$.extend(a,b);for(var c in b){if(b[c]==null||b[c]==undefined){a[c]=b[c]}}return a};$.fn.keypad=function(a){var b=Array.prototype.slice.call(arguments,1);if(a=='isDisabled'){return $.keypad['_'+a+'Keypad'].apply($.keypad,[this[0]].concat(b))}return this.each(function(){typeof a=='string'?$.keypad['_'+a+'Keypad'].apply($.keypad,[this].concat(b)):$.keypad._attachKeypad(this,a)})};$.keypad=new Keypad();$(function(){$(document.body).append($.keypad.mainDiv).mousedown($.keypad._checkExternalClick)})})(jQuery);